Subject: Re: [PATCH v6] net: ip, diag -- Add diag interface for raw sockets

From: Cyrill Gorcunov <[email-masked]>
Date: Wed, 12 Oct 2016 09:53:29 +0300

On Wed, Oct 12, 2016 at 01:50:22AM -0400, David Miller wrote:
> 
> Macros that look like function calls and are also lvalues tend to be
> troublesome.
> 
> I know what you're trying to achieve, you want a named way to access
> this so that the intent and semantics are clear.
> 
> But I'd rather you do something that provides a way by which normal
> struct member accesses do the job, and your earlier patches achieved
> this.

I can't rename the field, neither a can use union. The only acceptable
option I think is introduce inet_diag_v3 structure, which of course
will require the mode wide patching. If there no objections I could
try to implement it.